root/gs2-extensions/gsdl-amp/trunk/packages/CASCADE-MAKE/PHP.sh @ 23003

Revision 23003, 0.8 KB (checked in by sjm84, 9 years ago)

Various changes to the amp extension to make it compatible with having previously installed mysql extension

Line 
1#!/bin/bash
2
3package=php
4version=-5.3.2
5
6progname=$0
7
8source ../cascade-make/lib/cascade-lib.bash
9
10prefix=$GEXTAMP_INSTALLED
11mysqlprefix=
12if [ "x$COMPILE_UP_MYSQL" = "x1" ] ; then
13  mysqlprefix=$GEXTAMP_INSTALLED
14else
15  if [ -n "$GEXTMYSQL_INSTALLED" ] ; then
16    mysqlprefix=$GEXTMYSQL_INSTALLED
17  fi
18fi
19
20opt_run_untar $force_untar $auto_untar $package $version
21
22opt_run_configure $force_config $auto_config $package $version $prefix --with-mysql=$mysqlprefix --with-png-dir=$prefix --with-apxs2=$prefix/bin/apxs --with-gd
23
24opt_run_make $compile   $package $version
25opt_run_make $install   $package $version "install"
26opt_run_make $clean     $package $version "clean"
27opt_run_make $distclean $package $version "distclean"
28
29opt_run_tarclean $tarclean $package $version
Note: See TracBrowser for help on using the browser.